Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Class SelectionChangeEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<SelectionChangeEvent.Handler>
              com.google.gwt.view.client.SelectionChangeEvent

    public class SelectionChangeEvent

extends GwtEvent<SelectionChangeEvent.Handler>

Represents a selection change event.

Nested Class Summary
`static interface` | `SelectionChangeEvent.Handler` Handler interface for `SelectionChangeEvent` events.
`static interface` | `SelectionChangeEvent.HasSelectionChangedHandlers` Interface specifying that a class can add `SelectionChangeEvent.Handler`s.

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Method Summary
`protected void` | `dispatch(SelectionChangeEvent.Handler handler)` Should only be called by `HandlerManager`.
`static void` | `fire(SelectionChangeEvent.HasSelectionChangedHandlers source)` Fires a selection change event on all registered handlers in the handler manager.
`GwtEvent.Type<SelectionChangeEvent.Handler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static GwtEvent.Type<SelectionChangeEvent.Handler>` | `getType()` Gets the type associated with this event.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### fire

    public static void fire(SelectionChangeEvent.HasSelectionChangedHandlers source)

  Fires a selection change event on all registered handlers in the handler manager. If no such handlers exist, this method will do nothing.

  Parameters:
    `source` - the source of the handlers

### getType

    public static GwtEvent.Type<SelectionChangeEvent.Handler> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### getAssociatedType

    public final GwtEvent.Type<SelectionChangeEvent.Handler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<SelectionChangeEvent.Handler>`
  Returns:
    the type

### dispatch

    protected void dispatch(SelectionChangeEvent.Handler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<SelectionChangeEvent.Handler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD